Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class HarvesterFactory

    java.lang.Object
      org.deegree.ogcwebservices.csw.manager.HarvesterFactory

    public class HarvesterFactory

extends Object

returns an concrete instance of

Since:
  2.0
Version:
  $Revision: 19482 $, 1.0. $Revision: 19482 $, $Date: 2009-09-03 10:06:22 +0200 (Do, 03. Sep 2009) $
Author:
  Andreas Poth, last edited by: $Author: lbuesching $
See Also:
  `that is responsible for performing a harvest request against a source type assigned to the request. To decide which concrete Harvester is required the resourceType and, if neccessary, source parameter of a harvest request will be examinded.`

Constructor Summary
`HarvesterFactory(Map<HarvestRepository.ResourceType,AbstractHarvester> availableHarvester)` list of available Harvester

Method Summary
`(package private) AbstractHarvester` | `findHarvester(Harvest request)` returns an concrete instance of

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HarvesterFactory

    HarvesterFactory(Map<HarvestRepository.ResourceType,AbstractHarvester> availableHarvester)

  list of available Harvester

  Parameters:
    `availableHarvester` -

Method Detail

### findHarvester

    AbstractHarvester findHarvester(Harvest request)
                              throws InvalidParameterValueException

  returns an concrete instance of

  Parameters:
    `request` -
  Returns:
    the harvester
  Throws:
    `InvalidParameterValueException`
  See Also:
    `that is responsible for performing a harvest request against a resource type assigned to the request. If no Harvester can be found that can be used to haverst the source defined in a harvest request an`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org